/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

@import "~bulma/sass/utilities/_all";


$blue: #74b3cf;
$coop: #193060;
$red: #ba0b3a;
$white: #ffff;
$black : hsl(0, 0%, 4%);
$light : hsl(0, 0%, 96%);
$light-invert :  findColorInvert($light);
$info :  hsl(204, 71%, 53%);
$info-invert : findColorInvert($info);

$success :  hsl(141, 53%, 53%);
$success-invert : findColorInvert($success);

$warning :  hsl(48, 100%, 67%);
$warning-invert : findColorInvert($warning);

$danger :  hsl(348, 86%, 61%);
$danger-invert : findColorInvert($danger);

$dark :  hsl(0, 0%, 21%);
$dark-invert : findColorInvert($dark);

$head: #8fbd89;
$date: #33b97f;
$abbrev: #F05D5E;
$person: #139597;
$organization: #D8A47F;
$place: #F4AC45;
$textStyle: #676964; 
$comment: #417cb4;
$table-row-hover-background-color: #ba0b3a;

$IN_PROGRESS: #e2cd13;
$GT: #3fa117;
$FINAL: #1e4b0c;

$primary: $coop;
$primary-invert: findColorInvert($primary);
$search: $red;
$link: $coop;
$link-invert: findColorInvert($link);
$radius: 4px;


// gray dark: 4d4d4f
// gray light: d1d3d4

$input-arrow: $primary;
$dropdown-content-arrow: $primary;
$navbar-dropdown-arrow: $primary;
$navbar-item-hover-color: $primary;
$navbar-z: 40;
$table-row-hover-background-color : $link;

$family-sans-serif: "Lato", sans-serif;
$family-serif: "EB Garamond", serif;
$block-spacing: 2rem;

$control-radius: 4px;
$input-radius: 4px;
$card-radius: 4px;
$box-radius: 4px;

$link-5: rgba($link, 0.05);
$link-10: rgba($link, 0.1);
$link-20: rgba($link, 0.2);
$link-30: rgba($link, 0.3);
$link-40: rgba($link, 0.4);
$link-50: rgba($link, 0.5);
$link-60: rgba($link, 0.6);
$link-70: rgba($link, 0.7);
$link-80: rgba($link, 0.8);
$link-90: rgba($link, 0.9);
$link-100: $link;

$primary-02: rgba($primary, 0.02);
$primary-05: rgba($primary, 0.05);
$primary-10: rgba($primary, 0.1);
$primary-20: rgba($primary, 0.2);
$primary-30: rgba($primary, 0.3);
$primary-40: rgba($primary, 0.4);
$primary-50: rgba($primary, 0.5);
$primary-60: rgba($primary, 0.6);
$primary-70: rgba($primary, 0.7);
$primary-80: rgba($primary, 0.8);
$primary-90: rgba($primary, 0.9);
$primary-100: $primary;


$search-02: rgba($search, 0.02);
$search-05: rgba($search, 0.05);
$search-10: rgba($search, 0.1);
$search-20: rgba($search, 0.2);
$search-30: rgba($search, 0.3);
$search-40: rgba($search, 0.4);
$search-50: rgba($search, 0.5);
$search-60: rgba($search, 0.6);
$search-70: rgba($search, 0.7);
$search-80: rgba($search, 0.8);
$search-90: rgba($search, 0.9);
$search-100: $search;


$colors: (
    "head": ($head, $white),
    "date": ($date, $white),
    "abbrev": ($abbrev, $white),
    "person": ($person, $white),
    "organization": ($organization, $white),
    "place": ($place, $white),
    "textStyle": ($textStyle, $white),
    "comment": ($comment, $white),
    "coop" : ($coop, $white),
    "IN_PROGRESS":($IN_PROGRESS, $white),
    "GT":($GT, $white),
    "NEW":($coop, $white),
    "FINAL":($FINAL, $white),
    "DONE":($FINAL, $white),
    
    "white": (
        $white,
        $black,
    ),
    "black": (
        $black,
        $white,
    ),
    "light": (
        $light,
        $light-invert,
    ),
    "dark": (
        $dark,
        $dark-invert,
    ), 
    "primary": (
        $primary,
        $primary-invert,
        
    ),
    "link": (
        $link,
        $link-invert,
       
    ),
    "info": (
        $info,
        $info-invert,
        
    ),
    "success": (
        $success,
        $success-invert,
       
    ),
    "warning": (
        $warning,
        $warning-invert,
       
    ),
    "danger": (
        $danger,
        $danger-invert,
       
    ),
);


@import "~bulma";
@import "~buefy/src/scss/buefy";
